質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.58%

Ruby on rails tutorial 第6版 2.1

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 517

score 1

Ruby on rails tutorial 第6版の2−1でファイルの変更をコミットし、

$ git push && git push heroku master


を実行すると

remote:        In Gemfile:
remote:          sqlite3
remote: 
remote:  !
remote:  !     Failed to install gems via Bundler.
remote:  !     Detected sqlite3 gem which is not supported on Heroku:
remote:  !     https://devcenter.heroku.com/articles/sqlite3
remote:  !
remote:  !     Push rejected, failed to compile Ruby app.
remote: 


とエラーが出ます。

https://devcenter.heroku.com/articles/sqlite3

を参考に、Gemfileと database.ymlを書き換え、

$bundle install    
$git add -A
$git commit -m postgres 

  
を実行し、再度

$ git push && git push heroku master


をしたのですが、同じエラーメッセージが出てしまいます。
何かいい解決方法はありますでしょうか? よろしくお願いいたします。

gemfile
イメージ説明
database.yml
イメージ説明

イメージ説明

イメージ説明

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • hatsu

    2020/05/09 23:07

    SQLite3のGemを使用しているためと思われます。
    修正を提案するために、Gemfileとdatabase.ymlを追記していただけると幸いです。

    キャンセル

  • anoyanoya

    2020/05/10 09:42

    追記しました!

    キャンセル

  • hatsu

    2020/05/10 10:16

    ありがとうございます。GemfileにはSQLite3はもう含まれていないようですね。
    それでも同様のエラーが発生する場合、以下のリンクにあるようにGemfile.lockにSQLite3が残っている可能性があります。Gemfile.lockにSQLite3がなく、pgがあることを確認してみてください。
    https://devcenter.heroku.com/articles/sqlite3#getting-a-sqlite-error-even-though-it-is-not-in-the-gemfile

    またdatabase.ymlのproductionにdatabaseの記述が2つあるので、直しておいてください。

    キャンセル

  • anoyanoya

    2020/05/10 11:08

    Gemfile.lock確認したところspliteが残っていたので消しましたが、pgは見当たらなかったです。
    追記した画像を見ていただきたいのですが、その後bundleinstallした時に、using sqlite3っていうのがあったんですけど、これは何か関係ありますか?

    ご指摘ありがとうございます!直しておきました!

    キャンセル

回答 2

check解決した方法

0

リポジトリもファイルも全部消して一からやりなおしました。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

Gemをsalite3からpgに変更後、postgres用のDBを作成していないためかと思われます。
db/schema.rbに enable_extension "plpgsql" のような記載があればPostgresでテーブルが作られていそうです。

  1. bundle exec gem uninstall sqlite3

  2. sqlite3をGemfile, Gemfile.lockから削除

  3. bundle install(pgはGemfileに記載済み)

  4. bundle exec rails db:create db:migrate db:seed

の手順だといかがでしょうか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/05/10 12:23

    記載していただいた手順でやったところ、追記した画像のようにエラーが出てしまいました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.58%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る